Софтпанорама 1993, No.7 (41) ***** NEWS *****   Составитель Н.Н.БЕЗРУКОВ
========================================================================
Бюллетень распространяется как Shareware.Правила регистрации см.в README
************************************************************************

                 ---------------------------------------
                 !  П А Н О Р А М А   Н О В О С Т Е Й  !
                 ---------------------------------------

                                       Составитель выражает благодарность
                                       Андрею Грищуку и Дмитрию Кохманюку
                                       за предоставленные материалы

>>>>>>>>>>>>>>>>>>>>>>>> КРАТКАЯ ИНФОРМАЦИЯ <<<<<<<<<<<<<<<<<<<<<<<<<<<<

                             Hardware

    Гиперинфляция на марше - практически четырехкратное повышение цен на
компьютеры за последний месяц на Украине.
    Быстрый рост популярности  еженедельника "Деловая информация"  среди
специалистов и продавцов компьютеров на Украине.
    Резкое повышение долларовых цен  на мегабайтные модули SIMM  - чрез-
мерная реакция рынка на пожар на фабрике в Японии.
    Похоже, что 486dx2-66 станет новым стандартом для персональных  ком-
пьютеров в 1994 году. Мониторы 15" входят в стандартную поставку компью-
теров под Windows, в частности,  486dx2-66 и 486dx50. Быстро растет  ин-
терес пользователей к экранам 17" и 21".
    Винчестеры продолжают дешеветь и их цена упала ниже доллара за мега-
байт. В августе не очень быстрый 300M винчестер можно было купить в Нью-
Йорке примерно за $250.
    Ноутбуки  для  Windows  становятся  доступными массовому потребителю
(черно-белый 486slc-25-4-120 по  цене ниже $1500).  OS/2 v 2.1  на ваших
коленях: мощные ноутбуки теперь поставляются с 8M памяти и 170M винтом.
    Зеленая революция в компьютерной промышленности - применение энерго-
сберегающих технологий в  настольных компьютерах становится  требованием
при закупках компьютеров правительством США
    8-игольчатые принтеры  становятся перевернутой  страницей в  истории
персональных  компьютеров.  24  иглы  становятся стандартом де-факто для
игольчатых принтеров. Panasonic и Fujitsu (DL900,DL100 и т.д.)  захваты-
вают существенный сектор этого рынка на Украине.

                                  ОСП

    Переговоры с IEEE Computer Society. Cтипендии Вячеславу Волкову, Ви-
талию Пономаренко и Максиму Круковскому. Проводится эксперимент по  под-
писке на Computer  World Moskow для  участников семинара (просьба  обра-
щаться в Игорю Левитину). Начиная с сентября на семинаре будет распрост-
раняться еженедельник "Деловая информация".

                                Software

    Norton Utilities 7.0  - безусловный прогресс,  хотя есть ошибки  и в
некоторых вопросах (например восстановлении файлов Foxpro) PC Tools  8.0
выглядят предпочтительнее. Т.е. теперь оптимальный набор утитит это кок-
тейль из NU и PCTools.
    Коммерческая версия 2.1 операционной системы OS/2 фирмы IBM  вызвала
положительные отклики специалистов. Целый ряд станций FIDO уже  работает
под OS/2 v 2.1. С учетом наличия программы Merva для OS/2 v 2.1 это, по-
жалуй наиболее дешевая и удобная платформа для банковской сети SWIFT.
    MS Windows 3.1 становится  стандартом де-факто для деловых  приложе-
ний. Практически все ведущие фирмы теперь поставляют новые версии снача-
ла под Windows, и только во-вторую очередь для MS-DOS.
    Быстрый рост популярности Lotus Organizer
    Quattro Pro for Windows несколько теснит Exel.
    Банки проявляют интерес к EUNet/Relcom.
    Microsoft Visial Basic 3.0 - безусловно интересный продукт с широки-
ми возможностями работы  с базами данных.  С учетом того,  что этот язык
становится общим макроязыком  Exel 5.0, WinWord  3.0 и Access  5.0 фирма
Microsoft может вернуть свои пошатнувшиеся под давлением Lotus и Borland
позиции на рынке комплексов типа OFFICE.

                               Преступность

    В Англии посадили очередную парочку хакеров за незаконное  использо-
вание телефонных линий и доступ к базам данных.


>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ЗАМЕТКИ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

============================== HARDWARE  ===============================


************************** 386dx40 уходят в тень **********************
********** Компьютер для Windows это как минимум 486sx33 **************

   После последнего  подешевления в  результате очередной  попытки Intel
задавить AMD и запугать Cyrix на рынке и в суде или по крайней мере  ос-
ложнить им выпуск собственных  486 клонов, стоимость компьютера  на базе
486sx33 отличается от стоимости  компьютера на базе 386dx40  примерно на
$100  при  разнице  в  производительности  процессора  по  тесту  Norton
SysInfo 6.0 примерно  вдвое. Это делает  системы, основанные на  486sx33
предпочтительнее для работы с MS Windows тем более что их легко модерни-
зировать с помощью процессора типа Overdrive DX2, вставляемого в  гнездо
сопроцессора. Когда 486dx2-66 подешевеют  или появятся клоны от  AMD или
IBM можно будет просто заменить материнскую плату.

                                                                     БНН

****************  Возможные альтернативы Pentium: **********************
***** IBM обещает клон типа 486dx3-40, работающий на частоте 120M ******
******** AMD - RISC-чип с встроенной программой эмуляции 80x86 *********

   С выходом IBM на рынок клонов не исключено, что судьба Pentium  будет
весьма драматичной. IBM работает над микропроцессорами типа dx3, в кото-
рых при сопоставимой с Pentium производительноcти будут решены  проблемы
перегрева. AMD также работает над альтернативой Pentium под кодовым  на-
званием K-5, однако эмулирующем 80x86 архитектуру с помощью RISC.  RISC-
архитектура  рассматривается  специалистами  как перспективная платформа
для  конкурирования  с  сложной  CICS-архитектурой и способна обеспечить
эмуляцию этой архитектуры при очень высокой производительности. Для  нее
нет проблемы перегрева, которая для Pentium возможно означает технологи-
ческий тупик.
                                                                     БНН

******* HP Omnibook - компьютер с Windows, MS Word и Exel в ROM ********

   Компьютер весом чуть больше  килограмма стал бестселлером на  Западе,
поскольку содержит в ROM Windows, MS Word и Exel в ROM и может  работать
на батареях до 10 часов.
   Компьютер также имеет встроенную (выскакивающую из корпуса при  нажа-
тии кнопки) мышку и PCMСIA-разьем.
                                                                     БНН

****** HP Laserjet 4L - самый дешевый лазерный принтер на рынке ********

   Это дейcтвительно  новый качественный  принтер по  очень дешевой цене
$850. Таким образом HP пытается отыграть часть рынка, который она  усту-
пила OKI.
                                                                     БНН


******** PCMСIA-разъемы стали использоваться в desktop компьютерах ******

   Как-то очень быстро PCMСIA-разъемы стали использоваться везде, причем
не только в notebook, но и в desktop компьютерах. Однако если в notebook
PCMСIA-разъемы нужен и  важен, то в  desktop он выглядит  как экзотика и
ставиться в основном на дорогие машины, типа IBM.
                                                                     БНН

********************* Компьютеры стали "зеленеть" **********************

   Начали выпускаться настольные компьютеры со средствами энергосбереже-
ния,  отработанными  на  портативных.  Действительно, подсчитано что 80%
всего времени работы дисплея на него вообще никто не смотрит. Так  зачем
же  тратить  электроэнергию.  Хотя  с  другой стороны лампочек все равно
больше чем компьютеров ;-).
                                                                     БНН


*************** Железо HP, Compaq и IBM ценится все меньше **************

   HP Vectra, которая продается в Киеве "Юными пионерами" даже не по су-
машедшим, а  просто по  смешным ценам  сейчас выглядит  как второсортный
продукт по сравнению с теми компьютерами, которые можно приобрести за те
же доллары. Ну в общем средненькая, серенькая и очень дорогая машина. Ну
а купленный за ту же цену 486dx66 это вам не 486sx33, пусть даже от HP и
пусть даже облизанный реселлерами со всех сторон. Не даром в Америке  HP
расшифровывают как High Price ;-).
   Compaq хотя и поддерживает марку своей линией Prolinea тоже  неоправ-
данно дорог. В особенности для нас.
   Цены IBM на desktop, особенно на устаревшую линию PS/1 в наших  усло-
виях несерьезны и  продать компьютеры этой  серии наверное можно  только
предложив процентов 20 стоимости в виде взятки какому нибудь  гос.чинов-
нику. Конечно новейшие модели  IBM как всегда являются  последним словом
техники, но это не просто  дорогое, это очень дорогое удовольствие.  Как
впрочем и блестяще сделанные ноутбуки Thinkpad этой фирмы: c 486slc2-50,
8M памяти и 170M винтом в стандартной конфигурации на них спокойно можно
гонять OS/2,  если, конечно,  предварительно выложить  порядка $4000  из
(желательно чужого) кармана. Это машины для владельцев Мерседесов.

   В общем крупные фирмы загнивают,  как им и положено в  соответствии с
законами Паркинсона, а продукция середнячков типа Zeus, Gateway и, преж-
де всего, "красная сборка" начинают доминировать на нашем рынке. Из  ук-
раинских фирм на рынке особенно заметны NTT (в начале прошлого года фир-
ма NTT разделилась на две независимые фирмы, занимающие на улице Вавило-
ва два рядом стоящих здания. Одна из них сохранила старое название NTT -
ее адрес Вавилова 15, а салон-магазин на Щусева, а вторая (с адресом Ва-
вилова  17  и  салоном-магазином  на  Тургеневской) стала называться NTT
Ukrainian systems) и MAC.
                                                                    БНН


============================== SOFTWARE ===============================

***********************  Competitive Upgrade **************************
        !!!!!!!!! ВНИМАНИЕ ВЛАДЕЛЬЦЕВ ЛЕГАЛЬНЫХ КОПИЙ !!!!!!!

   Большинство  ведущих   производителей   вводят  понятие   Competitive
Upgrade: т.е. возможность замены  имеющего у Вас продукта  другой фирмы,
иногда даже  не слишком  аналогичного, на  последнюю версию собственного
продукта. При этом Вы обязаны выслать в адрес производителя  регистраци-
онную карточку и, возможно, документацию того продукта, который Вы испо-
льзовали (или не использовали  :) раньше. Экономьте Ваши  доллары, поку-
пайте новые продукты, используя Competitive Upgrade.
                                                                     БНН

***Windows 3.1 стали стандартом де-факто для персональных компьютеров****
** Но если у Вас есть 8M памяти очень рекомендую попробовать OS/2v.2.1 **

   Практически все ведущие компании выпустили версии своих продуктов под
Windows как основные продукты  с аналогами для DOS  как вспомогательными
или вообще без версий для DOS. Резкое падение долларовых цен на  компью-
теры за первое полугодие сделало железо для Windows более-менее  доступ-
ным даже на Украине.
   Что касается пакетов, что преимущества работы с такими новыми пакета-
ми для Windows я думаю  не нужно объяснять подробно. Машина  иногда вис-
нет, но за удовольствие положено платить. Правда, поскольку Windows  на-
чали применять американские военные в этом что-то есть ;-).
   Кроме того, приложения под Windows уже сейчас можно запускать из OS/2
2.1 и в будущем из UNIX. Так что хотите-нехотите, а переходите,  please.
Однако хотя переходить надо, совсем не обязательно переходить именно  на
Windows 3.1 для того,  чтобы гонять приложения, написанные  под Windows.
OS/2 v.2.1 сразу завоевало сердца фидошников, и редактора бюллетеня  то-
же. В общем, это  первая нормальная мультизадачная система  для приложе-
ний, написанный под MS DOS и Windows. Когда я увидел на презентации  как
она работает и насколько она совместима  с Windows 3.1, то я понял,  что
OS2 v.2.1 вроде это и есть лучшие Windows, хотя, конечно, это нужно про-
верить. Т.е. мой выбор это OS/2 v.2.1.
                                                                     БНН


**** TAPI - Windows Telephony Application Programming Interface *******
***** обещает обеспечить более тесное взаимодействие приложений *******
******************* под Windows с телефоном ***************************

   При работе в оффисе Вы фактически ограничены четырьмя основными вида-
ми связи. Каждый раз приходя в  оффис вы можете просмотреть ленту с  по-
ступившими факсами. Во вторых вы можете просмотреть Вашу электронную по-
чту. В-третьих прослушать Ваш автоответчик. В-четвертых, если учреждение
большое, Вы получите внутриучрежденческую почту почту на бумаге и,  воз-
можно, по локальной сети. При этом три из четырех источников  информации
связаны с телефоном. Очевидно,  что используя факс-модем с  возможностью
записи и воспроизведения  голоса (например Zyxel) все это можно просмот-
реть на экране компьютера и  прослушать с его динамика. Поэтому  взаимо-
действие компьютера с телефоном  становится одной из "горячих"  областей
для приложений и, здесь, необходимы какие-то стандарты, облегчающие  ра-
боту по написанию такого рода приложений.
   Ребята из Микрософт в данном случае оказались на высоте и  предлагают
Windows Telephony API (TAPI).  Учитывая положение Windows как  стандарта
де-факто TAPI следует рассматривать как серьезный шаг вперед и он  несо-
мненно будет использоваться всеми ведущими производителями факс-модемов.
Это достаточно гибкий стандарт, который охватывает только процедуру  со-
единения имеет три уровня. На первом уровне, названном каким-то шутником
из Микрософт POTS (Plain Old Telephone Service) обеспечивается стандарт-
ный метод  обмена телефонными  номерами, включая  AOН. На  втором уровне
предусмотрены функции
  - automatic re-direction;
  - conference calls;
  - automatic call back;
  - warning on call waiting;
  - toggling between multiple calls.
   Таким образом телефон фактически превращается в еще одно  стандартное
устройство ввода-вывода компьютера  со специальным двоично  кодированным
(голосовым) сигналом, который может записываться, копироваться, редакти-
роваться и воспроизводиться с помощью карт типа Soundblaster. Многие ра-
нее  недоступные  вещи  типа  ведения компьютером протокола неотвеченных
звонков, поиск фамилии звонящего вам абонента по его номеру,  определен-
ному AOH, отражение звонов нежелательных или слишком назойливых клиентов
и  т.д.  становится  стандартной  операцией  доступной практически любой
прикладной программе.
   TAPI уже одобрен более 40 ведущими производителями телефонного обору-
дования, а Intel  выпустит специальные чипы  под TAPI к  лету следующего
года. Поэтому  первые устройства,  использующие TAPI  появятся где-то  к
сентябрю следующего года.
   Так что если Вам предложат - не отказывайтесь.
                                                                     БНН


*********** Если Вы собираетесь покупать Quattro Pro 4.0 или ************
********* Quattro Pro for Windows Вам лучше немного подождать ***********

   Борланд планирует этой осенью выпустить Quattro Pro 5.0 и Quattro Pro
for Windows 2.0. Новая версия  для MS-DOS будет иметь близкий  в Windows
интерфейс и ряд новых улучшений и дополнений.
   Хотя, зная Борландб  не исключено, что  ждать придется не  месяц и не
два.
                                                                     БНН

****** Ребята, надо обязательно обратить внимание на Lotus Improve: ****
******** это, похоже, вещь специально для читателей Софтпанорамы *******

   Lotus Improve 2.0 for Windows это переработка спредшита, который  был
сделан фирмой Lotus для Next и это, похоже, действительно успех и этап и
значительный шаг. Это  первый многомерный спредшит  в котором вы  можете
конструировать любые среды по любым измерениям.
   В данном спредшите введен нормальный язык программирования, построен-
ный на основе Бейсика, так  что для читателей Софтпанорамы уже  одно это
представляет значительный интерес.
                                                                     БНН

*********** Lotus покупает Approach и существенно усиливает ************
************** свои позиции на рынке пакетов типа OFFICE ***************

   Ниже следуют  мои оценки  соответствующих продуктов.  Так что  похоже
Lotus удалось создать давление на Microsoft на этом секторе рынка.

Microsoft Office    Borland Office              Lotus SmartSuit

Exel..............4  Quattro Pro for W 2.0...5  1-2-3  v.4........5
MS Word for W.....5  Word Perfect for W 5.2..4  AmiPro v.3........5
Access 1.1........4  Paradox for W...........4  Approach..........5
                                                Organizer.........4
MS Project........4
Power Point                                     Freelance Graphic
                                                сс: Mail

   Как видно из приведенной таблички Lotus SmartSuit стал лидером по ка-
честву и фирма может существенно увеличить число его продаж. Однако Билл
Гейтс несмотря на женитьбу (а может благодаря ей ;) не спит и подготовил
неслабый ответный ход о котором пойдет речь в следующей заметке.
                                                                    БНН


    Microsoft Visial Basic 3.0 в роли общего макроязыка это здорово

    Этот  язык  становится  общим  макроязыком  Exel  5.0, WinWord 3.0 и
Access 2.0 фирма Microsoft может вернуть свои пошатнувшиеся под давлени-
ем Lotus и  Borland позиции на  рынке комплексов типа  OFFICE. Это также
очень выгодно для  пользователей, поскольку общий  макроязык существенно
облегчает создание приложений. В общем контрнаступлению фирмы Lotus на
рынке пакетов типа OFFICE Биллу Гейтсу теперь есть что противопоставить.


********* Ventura Database Publisher for Windows - программа, *******
********************** которой очень не хватало *********************

   Новый  продукт  может  пересылать  в  WinWord,  Pagemaker или Ventura
Publisher базы данных и спредшиты, оформленные "по всем правилам  искус-
ства". Это позволяет даже мелким фирмам приобщиться к печати  различного
рода каталогов, построенных на основе той или иной базы данных.
                                                                     БНН

   P.S. Когда номер  уже был сверстан  поступили сведения, что  в Англии
посадили очередную парочку хакеров. Похоже опять попались "сетевые  шны-
ри", перeусердствовашие в "информационных путешествиях" за чужой счет.
